<!-- 专区券充值 recharge -->
<template>
  <div>
    <van-cell-group>
      <van-cell title="银行" :value="formData.bank" />
      <van-cell title="卡号" :value="formData.bank_no" />
      <van-cell title="持卡人" :value="formData.bank_holder" />
      <van-cell title="预留手机号码" :value="formData.bank_mobile" />
      <van-cell title="开户行" :value="formData.created_place" />
    </van-cell-group>

    <van-cell-group class="mt20">
      <van-field label="充值额度" type="number" v-model="formData.amount"></van-field>
      <van-field label="cny金额" readonly v-model="cny_amount">
      </van-field>
      <van-field label="凭证">
        <div slot="input">
          <zwUpload ref="zwUpload" v-model="formData.credit" />
        </div>
      </van-field>
      <!-- <van-field label="用户名"  v-model="formData.remark" placeholder="用户名" /> -->
      <van-field label="汇款人姓名" required  v-model="formData.sender" placeholder="汇款人姓名" />
    </van-cell-group>
    <div class="pr10 pl10 mb10">
      <div class="m_btn mt50" @click="submit">提交</div>
    </div>
  </div>
</template>

<script>
import zwUpload from '@/components/zwUpload'
export default {
  name: 'recharge',
  components: { zwUpload },
  data() {
    return {
      cny_to_credit2: 1,
      formData: {
        amount: '',
        cny_amount: '',
        bank: '',
        bank_no: '',
        bank_holder: '',
        bank_mobile: '',
        created_place: '',
        credit: [],
        remark: '',
        sender:'',

      }
    }
  },
  created() {
    this.init()
  },
  computed: {
    cny_amount() {
      let amount = this.isNaN0(this.formData.amount)
      let cny_to_credit2 = this.isNaN0(this.cny_to_credit2)
      return amount / cny_to_credit2.toFixed(2)

    }
  },
  methods: {
    //初始化方法
    init() {
      this.formData.remark = this.userinfo.name
      this.get_sit_info().then(res => {
        this.sit_info = res.data
        let bankList = res.data.bank.bank

        this.formData.bank = this.getBankValue(bankList, 'bank')
        this.formData.bank_no = this.getBankValue(bankList, 'bank_no')
        this.formData.bank_holder = this.getBankValue(bankList, 'bank_holder')
        this.formData.bank_mobile = this.getBankValue(bankList, 'bank_mobile')
        this.formData.created_place = this.getBankValue(bankList, 'created_place')
        this.cny_to_credit2 = this.sit_info.cny_to_credit2

      })
    },

    getBankValue(bankList, key) {
      let item = bankList.find(i => i.key == key) || {}
      return item.value
    },

    //提交
    submit() {
      if(!this.formData.sender){
        this.m_toast('请输入汇款人姓名')
          return 
      } 
      this.m_loading()
      this.formData.credit = this.$refs.zwUpload.getImgUrl()
      this.formData.cny_amount = this.cny_amount
      this.api.recharge_add(this.formData).then(res => {
        this.m_hideLoading()
        this.m_success('提交成功')
        setTimeout(() => {
          this.$router.go(-1)
        }, 1500);

      })
    }
  },
}

</script>
<style lang='scss' scoped>
</style>